/* bcdcplx.h -- complex number support for bcd math.
 * (C) 2000, C. Bond. All right reserved.
 */
#include "fltpt.h"
#ifndef bcdcplxH
#define bcdcplxH
#ifdef __cplusplus
extern "C" {
#endif

struct complexbcd{
    Byte real[32];
    Byte imag[32];
};

extern complexbcd CONE;
extern complexbcd CHALF;
extern complexbcd CTWO;
extern complexbcd I;
extern complexbcd CPI;
extern complexbcd C2PI;
extern complexbcd CPIO2;
extern complexbcd CPIO4;
extern complexbcd C2OPI;

void cbcdadd(complexbcd *A,complexbcd *B,complexbcd *C);
void cbcdsub(complexbcd *A,complexbcd *B,complexbcd *C);
void cbcdmul(complexbcd *A,complexbcd *B,complexbcd *C);
void cbcddiv(complexbcd *A,complexbcd *B,complexbcd *C);
void cbcdexp(complexbcd *A,complexbcd *C);
void cbcdlog(complexbcd *A,complexbcd *C);
void cbcdpow(complexbcd *A,complexbcd *B,complexbcd *C);
void cbcdsin(complexbcd *A,complexbcd *C);
void cbcdcos(complexbcd *A,complexbcd *C);
void cbcdtan(complexbcd *A,complexbcd *C);
void cbcdcot(complexbcd *A,complexbcd *C);
void cbcdsec(complexbcd *A,complexbcd *C);
void cbcdcsc(complexbcd *A,complexbcd *C);
void cbcdmag(complexbcd *A,Byte *C);
void cbcdasin(complexbcd *A,complexbcd *C);
void cbcdacos(complexbcd *A,complexbcd *C);
void cbcdatan(complexbcd *A,complexbcd *C);
void cbcdacot(complexbcd *A,complexbcd *C);
void cbcdasec(complexbcd *A,complexbcd *C);
void cbcdacsc(complexbcd *A,complexbcd *C);
void cbcdsinh(complexbcd *A,complexbcd *C);
void cbcdcosh(complexbcd *A,complexbcd *C);
void cbcdtanh(complexbcd *A,complexbcd *C);
void cbcdcoth(complexbcd *A,complexbcd *C);
void cbcdsech(complexbcd *A,complexbcd *C);
void cbcdcsch(complexbcd *A,complexbcd *C);
void cbcdasinh(complexbcd *A,complexbcd *C);
void cbcdacosh(complexbcd *A,complexbcd *C);
void cbcdatanh(complexbcd *A,complexbcd *C);
void cbcdacoth(complexbcd *A,complexbcd *C);
void cbcdasech(complexbcd *A,complexbcd *C);
void cbcdacsch(complexbcd *A,complexbcd *C);

#ifdef __cplusplus
}
#endif
#endif
